Bug 494255 - Firefox version 3.0.8-1.x86_64 wont run
Firefox version 3.0.8-1.x86_64 wont run
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 21:13 EDT by Tony
Modified: 2018-04-11 05:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 05:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Out put of debugger (21.94 KB, text/plain)
2009-04-06 04:41 EDT, Tony
no flags Details
out put of debugger text (21.94 KB, text/plain)
2009-04-06 04:47 EDT, Tony
no flags Details

  None (edit)
Description Tony 2009-04-05 21:13:03 EDT
Description of problem:Firefox version 3.0.8-1.x86_64 wont run. Executing it from the command line gives this error

/usr/lib64/firefox-3.0.8/run-mozilla.sh: line 131: 17971 Illegal instruction     "$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):3.0.8-1.x86_64


How reproducible:Always


Steps to Reproduce:
1.Update firefox to 3.0.8-1.x86_64
2.Try to run it
3.
  
Actual results: Does not run


Expected results: Should run


Additional info: I've tried running it as normal user and as root.
Comment 1 Martin Stransky 2009-04-06 02:25:19 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

First of all, could we get output of the command

 rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

 debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

 (gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this
information.

Thanks in advance.
Comment 2 Tony 2009-04-06 04:41:45 EDT
Created attachment 338299 [details]
Out put of debugger

All the info you requested is in the attachment. Thanks.
Comment 3 Tony 2009-04-06 04:47:15 EDT
Created attachment 338301 [details]
out put of debugger text

Sorry didn't select the mime type on the first one.
All the requested info is in the attachment. Thanks
Comment 4 Martin Stransky 2009-04-06 05:22:39 EDT
Hm, that's really strange. Do you use any extension? Can you try to run firefox in safe mode? (firefox -safe-mode)
Comment 5 Tony 2009-04-06 14:55:44 EDT
[xxxxx@yyyyy ~]$ firefox -safe-mode
/usr/lib64/firefox-3.0.8/run-mozilla.sh: line 131:  4208 Illegal instruction     "$prog" ${1+"$@"}
[xxxxx@yyyyyyy ~]$ su
Password: 
[root@yyyyy xxxxx]# firefox -safe-mode

(firefox:4267): GnomeUI-WARNING **: While connecting to session manager:
None of the authentication protocols specified are supported.
/usr/lib64/firefox-3.0.8/run-mozilla.sh: line 131:  4267 Illegal instruction     "$prog" ${1+"$@"}

The only extensions I use are the web developer tool bar and Regex tester.

Is there anywhere I can get an earlier version 3 RPM so that I can get running again.
Comment 6 Matěj Cepl 2009-04-07 12:36:48 EDT
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 7 Martin Stransky 2009-05-06 03:06:06 EDT
Cau you please try to upgrade to firefox 3.0.10 and check it again? If it doesn't help I'll prepare a debug package for you.
Comment 8 Tony 2009-05-06 05:02:49 EDT
That upgrade works. Many thanks.
Comment 9 Martin Stransky 2009-05-06 05:13:25 EDT
Okay, thanks.

Note You need to log in before you can comment on or make changes to this bug.